class Node:
    prev_node = None

    def __init__(self, value) -> None:
        self.value = value

class Stack:
    top: None | Node = None

    def add(self, value):
        pass
    
    def remove(self) -> None | Node:
        pass
    
    def peek(self) -> None | Node:
        pass
    
# Homework:
# - Implement the other methods on the stack
# - Implement linked list methods (see homework from 2026.01.28)
# 
# Submit to me by creating a .zip file and sending to: me@bchen.dev
